Holger's Java API

## com.antelmann
Class AntBuildLicenseFile

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.antelmann.AntBuildLicenseFile

All Implemented Interfaces:
  Cloneable

    @ThirdParty(value="uses apache ant")
    public class AntBuildLicenseFile

extends org.apache.tools.ant.Task

creates a signed license file for an ant Task. This class requires the package org.apache.tools.ant to be found in your classpath (usually, the ant.jar file will do in your classpath). See http://jakarta.apache.org/ant/ for details.

Author:
  Holger Antelmann

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AntBuildLicenseFile()`

Method Summary
`void` `execute()`
`void` `setAppend(boolean append)` if true, the license to be created is appended to the file
`void` `setExpirationDate(String expirationDate)` the given date is parsed as mm/dd/yyyy
`void` `setExpirationDays(int days)`
`void` `setFile(File licenseFile)` sets the file location for the license file to be created; required
`void` `setIncludeSubPackages(boolean includeSubPackages)`
`void` `setIssuedFor(String issuedFor)`
`void` `setLicensee(String licensee)`
`void` `setUsageLimit(int limit)` limit is parsed as integer and limits the license(s) to the given number of uses

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntBuildLicenseFile

    public AntBuildLicenseFile()

Method Detail

### setFile

    public void setFile(File licenseFile)

  sets the file location for the license file to be created; required

### setIssuedFor

    public void setIssuedFor(String issuedFor)

### setAppend

    public void setAppend(boolean append)

  if true, the license to be created is appended to the file

### setLicensee

    public void setLicensee(String licensee)

### setUsageLimit

    public void setUsageLimit(int limit)

  limit is parsed as integer and limits the license(s) to the given number of uses

### setIncludeSubPackages

    public void setIncludeSubPackages(boolean includeSubPackages)

### setExpirationDays

    public void setExpirationDays(int days)

### setExpirationDate

    public void setExpirationDate(String expirationDate)

  the given date is parsed as mm/dd/yyyy

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads